MutableContext (Apache OpenNLP :: Core :: ML :: Commons 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml.model, class: MutableContext

Package opennlp.tools.ml.model

# Class MutableContext

java.lang.Object
opennlp.tools.ml.model.Context
opennlp.tools.ml.model.MutableContext

public class MutableContext extends opennlp.tools.ml.model.Context
An extension of `Context` used to store parameters or expected values associated with this context which can be updated or assigned.

See Also:
  - `Context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MutableContext(int[] outcomePattern, double[] parameters)`
  Creates a new parameters object with the specified parameters associated with the specified outcome pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(int outcome)`
  `void`
  `setParameter(int outcomeIndex, double value)`
  Assigns the parameter or expected value at the specified outcomeIndex the specified value.
  `void`
  `updateParameter(int outcomeIndex, double value)`
  Updated the parameter or expected value at the specified outcomeIndex by adding the specified value to its current value.

  ### Methods inherited from class opennlp.tools.ml.model.Context

  `equals, getOutcomes, getParameters, hashCode`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MutableContext

    public MutableContext(int[] outcomePattern, double[] parameters)
    Creates a new parameters object with the specified parameters associated with the specified outcome pattern.
    Parameters:
      `outcomePattern` - Array of outcomes for which parameters exists for this context.
      `parameters` - Parameters for the outcomes specified.

- ## Method Details

  - ### setParameter

    public void setParameter(int outcomeIndex, double value)
    Assigns the parameter or expected value at the specified outcomeIndex the specified value.
    Parameters:
      `outcomeIndex` - The index of the parameter or expected value to be updated.
      `value` - The value to be assigned.

  - ### updateParameter

    public void updateParameter(int outcomeIndex, double value)
    Updated the parameter or expected value at the specified outcomeIndex by adding the specified value to its current value.
    Parameters:
      `outcomeIndex` - The index of the parameter or expected value to be updated.
      `value` - The value to be added.

  - ### contains

    public boolean contains(int outcome)